Page MenuHomePhabricator

Pixelated banners
Closed, ResolvedPublic

Description

The banner {{PAGEBANNER:"The Split", Caye Caulker, Belize.jpg|toc=yes}} on a 1694px screen looks pixelated. We should add a max-width based on the maximum available resolution.

Details

Related Gerrit Patches:
mediawiki/extensions/WikidataPageBanner : masterWikidataPageBanner add max-width

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task to Epics on the Wikidata-Page-Banner board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a project: Wikidata. · View Herald TranscriptAug 13 2015, 7:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Sumit added a subscriber: Sumit.Aug 14 2015, 8:46 PM

It would not be possible to determine max-width of image in css. Should a js approach be used after setting a data-max-width attribute in html of banner image?

You could add an inline style surely and do this css only?

style="max-width:<max width>px;"

Change 231886 had a related patch set uploaded (by Sumit):
WikidataPageBanner add max-wdith

https://gerrit.wikimedia.org/r/231886

Change 231886 merged by jenkins-bot:
WikidataPageBanner add max-width

https://gerrit.wikimedia.org/r/231886

Sumit closed this task as Resolved.Aug 17 2015, 5:13 PM
Sumit set Security to None.